{smcl}
{* 22dec2003/6oct2005/6apr2009/15apr2009}{...}
{hline}
help for {hi:circrplot}
{hline}

{title:Raw data plot for circular data with spikes}

{p 8 17 2}
{cmd:circrplot}
{it:varname}
[{cmd:if} {it:exp}] 
[{cmd:in} {it:range}]
[{it:weight}] 
[{cmd:,}
{cmdab:w:idth(}{it:#}{cmd:)} 
{cmdab:h:eight(}{it:#}{cmd:)} 
{cmdab:frac:tion} 
{cmdab:result:ant(}{it:resultant_options}{cmd:)} 
{cmdab:rev:erse} 
{cmdab:deg:ree(}{it:#}{cmd:)} 
{cmdab:cla:bel(}{it:label_specification}{cmd:)} 
{cmdab:ctic:k(}{it:numlist}{cmd:)}
{cmdab:ctickl:ength(}{it:#}{cmd:)}
{cmd:compass(}{it:options}{cmd:)}
{cmd:circle(}{it:options}{cmd:)}
{cmd:by(}{it:byvar} [{cmd:,} {it:combine_options}]{cmd:)} 
{cmd:saving(}{it:filename} [{cmd:,} {it:suboptions}]{cmd:)} 
{it:pcspike_options}
] 

{p 4 4 2}{cmd:fweight}s and {cmd:aweight}s are allowed; see {help weight}. 


{title:Description} 

{p 4 4 2} 
{cmd:circrplot} produces a raw data plot for a circular variable {it:varname} 
with spikes showing frequencies. {it:varname} should take on values
with a range of 360 degrees. Thus, for example, a variable {cmd:m} containing months 
1,...,12 could be scaled {cmd:m * 30} or {cmd:(m - 1) * 30} or {cmd:(m - 0.5) * 30}. 

{p 4 4 2} 
The values of {it:varname} are shown as is, or optionally rounded to the 
argument of {cmd:width()}. Spikes are drawn outwards from
the circumference of a unit circle pointing in each direction present in the data.
The length of each ray is proportional to the frequency of that direction.
The resultant or mean direction is indicated by an arrow from the centre of the
circle with length proportional to vector strength (a.k.a. mean resultant length). 
An arrow representing a mean direction with vector strength 1 would touch the
circle. 

{p 4 4 2} 
Know that the centre of the circle is
at {it:x} = 0, {it:y} = 0. As it has radius 1, the cardinal points
North, East, South, West are at 0,1; 1,0; 0,-1; -1,0. 


{title:Options} 

{p 4 8 2}
{cmd:width()} indicates the bin or class width to be used, which will be 
an argument to {help round()}. The default is 0, meaning no rounding. 
See also {cmd:height()}. 

{p 4 8 2} 
{cmd:height()} specifies a factor controlling the height of spikes.      
The default height 1 means that the longest spikes are  
plotted with height above the circle equal to its radius. 
Height {it:#} means maximum height {it:#} times that radius. 
See also {cmd:width()}. 

{p 8 8 2} 
Many graphs will need some hand-tuning of {cmd:height()} or {cmd:width()} for best appearance. 

{p 4 8 2}
{cmd:fraction} specifies that spike lengths show fractions (equivalently, percents)
of the total frequency in each group. This option only bites if {cmd:by()} is also specified 
to compare two or more groups. 

{p 4 8 2}{cmd:resultant()} specifies options of {help twoway pcarrowi}
controlling the rendering of the
arrow showing the resultant. The default is {cmd:barbsize(medium)}. 
As a special case, {cmd:resultant(off)} suppresses the resultant. 

{p 4 8 2}{cmd:reverse} reverses the direction of the resultant arrow so that it points
inward. This is intended as a convenience especially to users of wind data, for
whom a West wind is from the West, not to it. 

{p 4 8 2}{cmd:degree()} can be used to specify the character used to 
show the degree symbol for the vector mean if {cmd:circrplot}'s
default of 176 is not appropriate for your system. See {help char()}. 

{p 4 8 2} 
{cmd:clabel()} specifies labels to be shown inside the circle at angles 
measured clockwise from 0 (North) through 360 degrees. Single text labels 
may be specified within {cmd:" "} following each label. For example, 
the default is {cmd:clabel(0 "N" 90 "E" 180 "S" 270 "W")}.

{p 4 8 2} 
{cmd:ctick()} specifies positions of ticks to be shown inside the circle
at angles measured clockwise from 0 (North) through 360 degrees.

{p 4 8 2} 
{cmd:cticklength()} specifies the tick length (default 0.05).

{p 4 8 2}
{cmd:compass()} may be used to specify other options controlling the rendering 
of the labels and ticks. Options are those of {help twoway spike}. 

{p 4 8 2} 
{cmd:circle()} may be used to specify options controlling the rendering 
of the circle. Options are those of {help twoway function}. 
Defaults include {cmd:clw(medthin) clp(solid)}. 

{p 4 8 2}
{cmd:by()} indicates that plots should be shown separately for the distinct groups of 
a variable {it:byvar}. Options of {help graph combine} may also be specified. Please note
that this is {bf:not} the standard graph {help by option}. 

{p 4 8 2} 
{cmd:saving()} saves the graph to a file; see {help saving option}. 

{p 4 8 2} 
{it:pcspike_options} are options of {help pcspike}.  
By default the {cmd:subtitle()} indicates the mean direction and vector 
strength and is {cmd:pos(6) size(medium)}. If two or more groups are shown 
under {cmd:by()} the {cmd:title()} indicates the group and is 
{cmd:pos(11) size(medium)}. The {cmd:title()} size is conservative to reduce the 
risk of crowding; those with short titles may wish to increase it. 


{title:Example} 

{p 4 8 2}{cmd:. circrplot wallasp, width(2) lcolor(red) text(-0.5 0 "Wall aspect", size(large))}


{title:Author}

{p 4 4 2}
Nicholas J. Cox, Durham University, U.K.{break} 
n.j.cox@durham.ac.uk


{title:Acknowledgments} 

{p 4 4 2}
Keith Dear made several useful suggestions. 


{title:Also see}

{p 4 13 2} 
On-line: help for {help circdplot} (if installed), 
{help circvplot} (if installed), {help circpplot} (if installed)  


